### org.jfree.layouting.renderer.model

# Class RenderableTextBox

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.RenderNode`
  - - `org.jfree.layouting.renderer.model.RenderBox`
    - - `org.jfree.layouting.renderer.model.InlineRenderBox`
      - - `org.jfree.layouting.renderer.model.RenderableTextBox`

Implemented Interfaces:
  Cloneable

`public class RenderableTextBox`
`extends InlineRenderBox`

Creation-Date: 29.11.2006, 21:22:31

Author:
  Thomas Morgner

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.renderer.model.RenderBox

  `LOG_PRUNE`

  ### Fields inherited from class org.jfree.layouting.renderer.model.RenderNode

  `HORIZONTAL_AXIS`, `VERTICAL_AXIS`

  ## Constructor Summary

  `RenderableTextBox(State textFactoryState, ResolvedToken resolvedToken, LayoutContext layoutContext)`

  ## Method Summary

  `LayoutContext`

  `getLayoutContext()`

  `String`

  `getResolvedText()`

  `ResolvedToken`

  `getResolvedToken()`

  `State`

  `getTextFactory()`

  `boolean`

  `isDiscardable()`

  `void`

  `setResolvedText(String resolvedText)`

  ### Methods inherited from class org.jfree.layouting.renderer.model.RenderBox

  `addChild`, `addChilds`, `addGeneratedChild`, `appyStyle`, `clear`, `clone`, `close`, `derive`, `deriveFrozen`, `findNodeById`, `freeze`, `getBaselineInfo`, `getBorder`, `getBoxDefinition`, `getBoxLayoutProperties`, `getContentAreaX1`, `getContentAreaX2`, `getDominantBaseline`, `getEffectiveMarginBottom`, `getEffectiveMarginTop`, `getFirstChild`, `getInsertationPoint`, `getLastChild`, `getLineCount`, `getNominalBaselineInfo`, `getOrphans`, `getOrphansSize`, `getPageContext`, `getStaticBoxLayoutProperties`, `getVisibleFirst`, `getVisibleLast`, `getWidows`, `getWidowsSize`, `hibernate`, `insertAfter`, `insertBefore`, `isAppendable`, `isAvoidPagebreakInside`, `isDiscardable`, `isEmpty`, `isOpen`, `isPreserveSpace`, `remove`, `replaceChild`, `replaceChilds`, `setBaselineInfo`, `setContentAreaX1`, `setContentAreaX2`, `setFirstChild`, `setLastChild`, `setLineCount`, `setOrphansSize`, `setPageContext`, `setWidowsSize`, `split`

  ### Methods inherited from class org.jfree.layouting.renderer.model.RenderNode

  `appyStyle`, `clone`, `derive`, `deriveFrozen`, `findNodeById`, `freeze`, `getAlignmentAdjust`, `getAlignmentAdjustResolved`, `getAlignmentBaseline`, `getBaselineShift`, `getBaselineShiftResolved`, `getChangeTracker`, `getComputedLayoutProperties`, `getDimension`, `getEffectiveMarginBottom`, `getEffectiveMarginTop`, `getHeight`, `getInstanceId`, `getLayoutContext`, `getLogicalPage`, `getMajorAxis`, `getMaximumBoxWidth`, `getMinimumChunkWidth`, `getMinorAxis`, `getNamespace`, `getNext`, `getNodeLayoutProperties`, `getNormalFlow`, `getPageContext`, `getParent`, `getParentBlockContext`, `getPosition`, `getPrev`, `getStickyMarker`, `getTagName`, `getVerticalAlignment`, `getVisibleNext`, `getVisiblePrev`, `getWidth`, `getX`, `getY`, `hibernate`, `isDirectionLTR`, `isDirty`, `isDiscardable`, `isEmpty`, `isFrozen`, `isHibernated`, `isIcmMetricsFinished`, `isIgnorableForRendering`, `isOpen`, `normalizeAlignment`, `setComputedLayoutProperties`, `setDimension`, `setDirty`, `setHeight`, `setHibernated`, `setIcmMetricsFinished`, `setMajorAxis`, `setMaximumBoxWidth`, `setMinimumChunkWidth`, `setMinorAxis`, `setNext`, `setParent`, `setPosition`, `setPrev`, `setStickyMarker`, `setWidth`, `setX`, `setY`, `updateChangeTracker`

## Constructor Details

### RenderableTextBox

    public RenderableTextBox(State textFactoryState,
                             ResolvedToken resolvedToken,
                             LayoutContext layoutContext)

## Method Details

### getLayoutContext

    public LayoutContext getLayoutContext()

> Overrides:
>   getLayoutContext in interface RenderNode

### getResolvedText

    public String getResolvedText()

### getResolvedToken

    public ResolvedToken getResolvedToken()

### getTextFactory

    public State getTextFactory()

### isDiscardable

    public boolean isDiscardable()

> Overrides:
>   isDiscardable in interface RenderBox

### setResolvedText

    public void setResolvedText(String resolvedText)